Create a workflow and its initial draft version
AuthorizationBearer <token>
In: header
Path Parameters
environmentId*string
Format
uuidHeader Parameters
Idempotency-Key?string
Optional. When omitted, the server generates a unique internal key for this submission.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/v1/client/browser/environments/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflows" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string", "definition": { "steps": [ { "type": "navigate", "url": "string" } ] }, "output_schema": { "type": "object", "properties": { "property1": { "type": "string" }, "property2": { "type": "string" } } } }'Empty